import { IMetadataProperty, NewMetadataProperty } from './metadata-property.model';

export const sampleWithRequiredData: IMetadataProperty = {
  id: 14053,
  code: 'nicely',
  name: 'pro excepting jolt',
  metadataType: 'DECIMAL',
};

export const sampleWithPartialData: IMetadataProperty = {
  id: 10012,
  code: 'gadzooks',
  name: 'blah physical aboard',
  metadataType: 'STRING',
  version: 29907,
};

export const sampleWithFullData: IMetadataProperty = {
  id: 29184,
  code: 'past jewel',
  name: 'dearly to',
  description: 'once whenever',
  mandatory: false,
  metadataType: 'BOOLEAN',
  pattern: 'add woot while',
  version: 30970,
};

export const sampleWithNewData: NewMetadataProperty = {
  code: 'archives',
  name: 'psst ouch',
  metadataType: 'DECIMAL',
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
