package com.oguerreiro.resilient.domain.enumeration;

/**
 * Upload file type enum
 */
public enum UploadType {
  /**
   * Custom Excel file template, for variable input upload
   */
  INVENTORY,

  /**
   * Custom Excel file template, for variable input upload of ENERGY data (same template of GLOBAL)
   */
  ENERGY,

  /**
   * Custom Excel file template, for variable input upload of GAS data (same template of GLOBAL)
   */
  GAS,

  /**
   * Custom Excel file template, for variable input upload of GAS data
   */
  GLOBAL,

  /**
   * Exported file from the accounting software
   */
  ACCOUNTING,
}
